Bug 192099 - IllegalArgumentException: All children must have the same parent: /home/johnny/Praca/wirtuale.pl/webshop_uti/facebook/cake vs. /home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake Children: [M
IllegalArgumentException: All children must have the same parent: /home/johnn...
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: FTP Support
6.x
All All
: P1 (vote)
: 7.0
Assigned To: Petr Pisl
issues@php
EXCEPTIONS_REPORT
:
Depends on: 192440
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 11:53 UTC by johnny_bit
Modified: 2011-03-08 14:24 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.71 KB, text/plain)
2010-11-18 11:53 UTC, johnny_bit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description johnny_bit 2010-11-18 11:53:42 UTC
Build: NetBeans IDE 6.9.1 (Build 100813-unknown-revn)
VM: OpenJDK Client VM, 19.0-b06, OpenJDK Runtime Environment, 1.6.0_20-b20
OS: Linux

User Comments:
johnny_bit: r

vidarv: Tried to rename a folder

bladedu: refactor folder name

johnny_bit: removing local changes




Stacktrace: 
java.lang.IllegalArgumentException: All children must have the same parent: /home/johnny/Praca/wirtuale.pl/webshop_uti/facebook/cake vs. /home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake
Children: [MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake/config@d87255:1938c68,valid=true], MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake/console@3a53ea:905f2b,valid=true], MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/facebook/cake/libs@15b4169:e09ae9,valid=true], MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake/tests@235e6c:c2bff3,valid=true], MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake/LICENSE.txt@c2b81:1aea952,valid=true], MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake/bootstrap.php@fc35aa:1a40da0,valid=true], MasterFileObject[/home/johnny/Praca/wirtuale.pl/webshop_uti/old_facebook/cake/dispatcher.php@2761bf:1a90103,valid=true]]
   at org.openide.filesystems.Ordering.getOrder(Ordering.java:0)
   at org.openide.filesystems.FileUtil.getOrder(FileUtil.java:0)
   at org.openide.loaders.FolderChildren$1R.run(FolderChildren.java:0)
   at org.openide.util.Mutex$1Exec.run(Mutex.java:0)
   at org.openide.nodes.Children$ProjectManagerDeadlockDetector.execute(Children.java:0)
   at org.openide.util.Mutex.postRequest(Mutex.java:0)
Comment 1 johnny_bit 2010-11-18 11:53:46 UTC
Created attachment 103064 [details]
stacktrace
Comment 2 Jaroslav Tulach 2010-12-06 10:21:44 UTC
Associated with PHP. Possibly related to bug 192440
Comment 3 Exceptions Reporter 2011-03-04 13:22:18 UTC
This bug already has 50 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=170973
Comment 4 Petr Pisl 2011-03-08 14:24:37 UTC
There are new reports. I have fixed few issues in FTP area, that should fix it.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo